libgtkmozembed (1.7.7.4-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 05 Nov 2009 16:56:52 +0200

libgtkmozembed (1.7.7.4-1) unstable; urgency=low

  * (From 1.8.2-2) Fixes: NB#120021 UI readiness for linked pages in
    browser main page is not shown in syslog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Oct 2009 13:56:45 +0300

libgtkmozembed (1.7.7.3-1) unstable; urgency=low

  * (From 1.8.2-1) Fixes: NB#141285 - libgtkmozembed crashes on window
    unrealize (tries to reparent widget)

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 20 Oct 2009 16:14:32 +0300

libgtkmozembed (1.7.7.2-1) unstable; urgency=low

  * (From 1.8.1-2) Fixes for NB#138144 Ovi bookmark does not get updated with
    page thumbnail and sometimes becomes blank

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 18 Sep 2009 11:44:26 +0300

libgtkmozembed (1.7.7.1-1) unstable; urgency=low

  * Merge from trunk up to 1.7.7-2

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 06 Oct 2009 18:42:57 +0300

libgtkmozembed (1.7.7-2) unstable; urgency=low

  * Fixes: NB#131709 Enlarged image of product doesn't display on ebay.com

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 31 Aug 2009 18:30:10 +0300

libgtkmozembed (1.7.7-1) unstable; urgency=low

  * Fixes: NB#135525 browserd crashed when closing new opened window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 27 Aug 2009 16:47:33 +0300

libgtkmozembed (1.7.6.1-1) unstable; urgency=low

  * (From 1.7.8-1) Fixes: NB#137044 Memory leak in browserd with repeated
    webpage with forms reloading

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed,  9 Sep 2009 17:27:09 +0300

libgtkmozembed (1.7.6-1) unstable; urgency=low

  * Fixes: NB#132905 crash happened when closing a window and switching to another

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Aug 2009 13:18:25 +0300

libgtkmozembed (1.7.5-3) unstable; urgency=low

  * Fixes: NB#118966 - crash [@ EmbedPrivate::Hide]

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 20 Aug 2009 08:57:12 +0300

libgtkmozembed (1.7.5-2) unstable; urgency=low

  * Bump version for rebuilding with microb-engine (20090612-40)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 18 Aug 2009 13:42:18 +0300

libgtkmozembed (1.7.5-1) unstable; urgency=low

  * Fixes: NB#132119 Multiapps: Browserd crash seen with 10 browsers and opening a recevied

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 12 Aug 2009 11:19:32 +0300

libgtkmozembed (1.7.4-2) unstable; urgency=low

  * Fixed changelog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 09 Aug 2009 20:56:46 +0300

libgtkmozembed (1.7.4-1) unstable; urgency=low

  * Fixes: NB#103570 Find on Page is not consistent in searching text

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 09 Aug 2009 17:25:05 +0300

libgtkmozembed (1.7.3-1) unstable; urgency=low

  * Fixes: NB#130434 valgrind-reported possible browserd leaks in w30-14

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 03 Aug 2009 21:12:09 +0300

libgtkmozembed (1.7.2-1) unstable; urgency=low

  * Fixes for bug 130434 valgrind-reported possible browserd leaks in w30-14

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 03 Aug 2009 19:36:35 +0300

libgtkmozembed (1.7.1-2) unstable; urgency=low

  * Updated changelog

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 03 Aug 2009 08:39:01 +0300

libgtkmozembed (1.7.1-1) unstable; urgency=low

  * Fixes for bug 130434 valgrind-reported possible browserd leaks

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 03 Aug 2009 08:37:27 +0300

libgtkmozembed (1.7.0-1) unstable; urgency=low

  * Fixes: NB#121330 Ctrl+Right and Ctrl+Left cycle through browser engine input fields

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 01 Aug 2009 18:22:55 +0300

libgtkmozembed (1.6.10-2) unstable; urgency=low

  *  Updated changelog

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 30 Jul 2009 16:32:49 +0300

libgtkmozembed (1.6.10-1) unstable; urgency=low

  * Fixes: NB#128865 - New repetitive core from week 29 pre-releases 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 27 Jul 2009 22:33:17 +0300

libgtkmozembed (1.6.9-1) unstable; urgency=low

  * Fixes: NB#124062 Possible memory leak in browserd when browsing multiple web pages

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 26 Jul 2009 15:44:13 +0300

libgtkmozembed (1.6.8-1) unstable; urgency=low

  * Fixes for bug 128488 valgrind-reported possible browserd leaks in w29-4

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 16 Jul 2009 17:01:09 +0300

libgtkmozembed (1.6.7-1) unstable; urgency=low

  * Fixes: NB#127306 we are leaking nsIWebBrowser

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 16 Jul 2009 11:29:18 +0300

libgtkmozembed (1.6.6-1.1) unstable; urgency=low

  * Bump version

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 13 Jul 2009 20:07:03 +0300

libgtkmozembed (1.6.6-1) unstable; urgency=low

  * Fixes: NB#122519 Browser plugins should suspend when browser application goes to background

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 13 Jul 2009 11:26:13 +0300

libgtkmozembed (1.6.5-1) unstable; urgency=low

  * Merge engine update

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 09 Jul 2009 15:28:34 +0300

libgtkmozembed (1.6.4-1+0microbenginetrunk2) unstable; urgency=low

  * Retag trunk branch

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 09 Jul 2009 10:58:58 +0300

libgtkmozembed (1.6.4-1+0microbenginetrunk1) unstable; urgency=low

  * Fixes: NB#127306 we are leaking nsIWebBrowser

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 08 Jul 2009 23:49:41 +0300

libgtkmozembed (1.6.3-1+0microbenginetrunk1) unstable; urgency=low

  * Merged changes from libgtkembedmoz up to 1.6.3-1
  * Fixed building with trunk

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 07 Jun 2009 07:49:00 +0300

libgtkmozembed (1.6.3-1) unstable; urgency=low

  * Fixes for bug 124409 Remove XEmbed widget from responsive browser UI

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 06 Jul 2009 18:03:08 +0300

libgtkmozembed (1.6.2-8) unstable; urgency=low

  * Fixes for bug 124409: Remove XEmbed widget from responsive browser UI

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 25 Jun 2009 11:09:45 +0300

libgtkmozembed (1.6.2-7) unstable; urgency=low

  * Unit test updates

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Mon, 22 Jun 2009 15:04:41 +0300

libgtkmozembed (1.6.2-6) unstable; urgency=low

  * Updated changelog

 -- Oleg Romashin <romaxa@gmail.com>  Sun, 07 Jun 2009 07:50:17 +0300

libgtkmozembed (1.6.2-5) unstable; urgency=low

  * Temporary logging added for debugging bug 114285 (random crash)
      Removed KILL by SIGUSR1.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 04 Jun 2009 19:45:53 +0300

libgtkmozembed (1.6.2-4) unstable; urgency=low

  * Temporary logging added for debugging bug 114285 (random crash)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 04 Jun 2009 19:38:06 +0300

libgtkmozembed (1.6.2-3) unstable; urgency=low

  * Removed obsolete dependency (SDK preparations)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 31 May 2009 14:08:14 +0300

libgtkmozembed (1.6.2-2) unstable; urgency=low

  * Doxyfile added

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Fri, 29 May 2009 14:43:26 +0300

libgtkmozembed (1.6.2-1) unstable; urgency=low

  * Fixes: NB#117456 - incorrect action of backspace button in flash text field.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 20 May 2009 12:53:14 +0300

libgtkmozembed (1.6.1-2) unstable; urgency=low

  * Fixes: NB#116915 - [MT] libgtkmozembed/gtk/src/gtkmozembed2.cpp: callback function parameters need NULL check

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Mon, 18 May 2009 14:53:13 +0300

libgtkmozembed (1.6.1-1) unstable; urgency=low

  * Fixes: NB#117007 One more crash in libgtkmozembed

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 May 2009 15:05:27 +0300

libgtkmozembed (1.6.0-3) unstable; urgency=low

  * Fixes: NB#111538 Reload isn't working after clear private date

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 May 2009 12:39:20 +0300

libgtkmozembed (1.6.0-2) unstable; urgency=low

  * Fixes: NB#114627 - Accidental browser crash while adding an exception 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  6 May 2009 13:37:42 +0300

libgtkmozembed (1.6.0-1) unstable; urgency=low

  * Fixes: NB#114186 EmbedProgress crashes on access to already destroyed GtkMozEmbed object

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 04 May 2009 10:50:35 +0300

libgtkmozembed (1.5.9-1) unstable; urgency=low

  * Fixes: NB#113870 Browserd crash when there is no space in root filesystem.

 -- Oleg Romashin <romaxa@gmail.com>  Sat, 02 May 2009 09:04:02 +0300

libgtkmozembed (1.5.8-2) unstable; urgency=low

  * Fixes: NB#106027 [MT] Tests in neteal show errors in microb-eal and browser-eal.

 -- Zoltan Petracs <ext-zoltan.petracs@nokia.com>  Thu, 23 Apr 2009 11:52:02 +0300

libgtkmozembed (1.5.8-1) unstable; urgency=low

  * Fixes: NB#108868 - Not reproducible browser crash - EmbedWindow::CreateWindow 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 17 Apr 2009 08:43:55 +0300

libgtkmozembed (1.5.7-4) unstable; urgency=low

  * Fixes: NB#110124 - [MT] libgtkmozembed/gtk/src/gtkmozembed2.cpp - parameters needs to NULL check and realize check

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Wed, 15 Apr 2009 13:25:19 +0300

libgtkmozembed (1.5.7-3) unstable; urgency=low

  * Rebuild against newer microb-engine

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 09 Apr 2009 17:49:37 +0300

libgtkmozembed (1.5.7-2) unstable; urgency=low

  * Update module test cases

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Tue, 07 Apr 2009 15:23:39 +0300

libgtkmozembed (1.5.7-1) unstable; urgency=low

  * Fixes: NB#103168 Counter is not starting counting down on the software installation window.

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 31 Mar 2009 19:25:28 +0300

libgtkmozembed (1.5.6-2) unstable; urgency=low

  * Update tests/Makefile.am

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Tue, 31 Mar 2009 15:56:35 +0300

libgtkmozembed (1.5.6-1) unstable; urgency=low

  * Fixes: NB#96580 Correct dimension is not displayed in "Image details"	dialog.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 30 Mar 2009 18:44:40 +0300

libgtkmozembed (1.5.5-4) unstable; urgency=low

  * Small update in tests/Makefile.am for generate better coverage report

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Mon, 30 Mar 2009 14:25:55 +0300

libgtkmozembed (1.5.5-3) unstable; urgency=low

  * Fixes: NB#107683 [MTC] libgtkembedmoz module test cases 2
  * Updated Changlog

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Thu, 26 Mar 2009 09:40:00 +0200

libgtkmozembed (1.5.5-2) intrepid; urgency=low

  * Fixes: NB#97817 <Safety> EmbedWindow.cpp - Parameters not checked for NULL values
  * Fixes: NB#97818 <MemLeak> gtkmozembed_common.cpp - Known Memory Leaks
  * Fixes: NB#104565 <coverity> defects from libgtkmozembed
  * Fixes: NB#87634 libgtkmozembed is built without -Wall

 -- Jayakar Katika <ext-jayakar.katika@nokia.com>  Tue, 24 Mar 2009 15:11:29 +0200

libgtkmozembed (1.5.5-1) unstable; urgency=low

  * Fixes: NB#107315 gtkmozembed unitialized variables.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 23 Mar 2009 17:15:46 +0200

libgtkmozembed (1.5.4-5) unstable; urgency=low

  * Fixes: NB#96662 - <Safety> EmbedContentListener.cpp

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Thu, 19 Mar 2009 11:26:21 +0200

libgtkmozembed (1.5.4-4) unstable; urgency=low

  * Fixes: NB#103655 [MTC] libgtkembedmoz module test code patch 43335

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Mon, 16 Mar 2009 13:16:58 +0200

libgtkmozembed (1.5.4-3) unstable; urgency=low

  * Fixes: NB#103655 [MTC] libgtkembedmoz module test code patch 42454, 42811

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Wed, 11 Mar 2009 10:37:22 +0200

libgtkmozembed (1.5.4-2) unstable; urgency=low

  * Fixes: NB#97816 <Improvement> EmbedPrompter.h : Missing #ifndef, #endif clauses

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue,  3 Mar 2009 07:57:47 +0200

libgtkmozembed (1.5.4-1) unstable; urgency=low

  * Updated changelog 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon,  2 Mar 2009 16:42:30 +0200

libgtkmozembed (1.5.3-3.4) unstable; urgency=low

  * Fixes: NB#97819 <MemLeak> gtkmozembed_common.cpp : Line 599 : Memory Leaks in Error condition handling

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 18 Feb 2009 11:49:06 +0200

libgtkmozembed (1.5.3-3.3) unstable; urgency=low

  * Fixes: NB#97807, NB#97810 Inspection changes

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 17 Feb 2009 12:55:21 +0200

libgtkmozembed (1.5.3-3.2) unstable; urgency=low

  * Fixes: NB#97816 Improvement EmbedPrompter.h : Missing ifndef, endif clauses

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 17 Feb 2009 12:49:22 +0200

libgtkmozembed (1.5.3-3.1) unstable; urgency=low

  * Rebuild against newer microb-engine

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 15 Jan 2009 20:25:54 +0200

libgtkmozembed (1.5.3-3) unstable; urgency=low

  * Fixes: NB#96982 Added safety check to gtk_moz_embed_get_zoom_level.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 07 Jan 2009 17:46:17 +0200

libgtkmozembed (1.5.3-2.1) unstable; urgency=low

  * Fixes: NB#96086 Code review fixes.

 -- Egor Starkov <egor.starkov@nokia.com>  Wed, 07 Jan 2009 15:07:23 +0200

libgtkmozembed (1.5.3-2) unstable; urgency=low

  * Bug 95757 disable native resize if UI require it. 

 -- Oleg Romashin <romaxa@gmail.com>  Sat, 20 Dec 2008 17:44:14 -0500

libgtkmozembed (1.5.3-1) unstable; urgency=low

  * Fixes: NB#93588 Random browser crash while browsing through	news.google.com. Missing removals. r=apetrov

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 09 Dec 2008 13:41:33 +0200

libgtkmozembed (1.5.2-1) unstable; urgency=low

  * Fixes: NB#93588 Random browser crash while browsing through news.google.com

 -- Oleg Romashin <romaxa@gmail.com>  Thu, 04 Dec 2008 21:02:16 -0500

libgtkmozembed (1.5.1-2) unstable; urgency=low

  * Updated changelog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  3 Dec 2008 13:57:21 +0200

libgtkmozembed (1.5.1-1) unstable; urgency=low

  * Fixes: NB#94013 XulAppInfo need better implementation

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 02 Dec 2008 15:23:28 +0200

libgtkmozembed (1.4.9-4) unstable; urgency=low

  * Fixed: bug#93657 Secure connection failed note is displayed instead of
  Certification notification page

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 01 Dec 2008 12:59:13 +0200

libgtkmozembed (1.4.9-3) unstable; urgency=low

  * Updated changelog 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 18 Nov 2008 13:52:57 +0200

libgtkmozembed (1.4.9-2) unstable; urgency=low

  * Updated changelog 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu,  6 Nov 2008 13:37:29 +0200

libgtkmozembed (1.4.9-1) unstable; urgency=low

  * Fixed bug#89692 Progress indication in browser toolbar works incorrectly  

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 27 Oct 2008 13:22:45 -0500

libgtkmozembed (1.4.8-1) unstable; urgency=low

  * Fixed bug#89692 Progress indication in browser toolbar works incorrectly

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 16 Oct 2008 21:34:33 -0500

libgtkmozembed (1.4.7-1) unstable; urgency=low

  * Updated changelog 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 16 Oct 2008 11:36:53 +0300

libgtkmozembed (1.4.6-1) unstable; urgency=low

  * Fixed according to nsIForm API change Bug 455742

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 15 Oct 2008 10:53:05 -0500

libgtkmozembed (1.4.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixes: NB#89399 Select user name dialog does not show

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 08 Oct 2008 19:25:47 -0400

libgtkmozembed (1.4.5-2) unstable; urgency=low

  * Fixed bug#89258

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon,  6 Oct 2008 12:16:44 +0300

libgtkmozembed (1.4.5-1) unstable; urgency=low

  * Removed microb-components from gtkmozembed

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 19 Sep 2008 11:11:46 -0500

libgtkmozembed (1.4.4-1) unstable; urgency=low

  * Removed not existing defines 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 12 Sep 2008 12:02:17 +0300

libgtkmozembed (1.4.3-2) unstable; urgency=low

  * Fixed scroll element into view issue.

 -- Ben <ben@koku.research.nokia.com>  Thu, 11 Sep 2008 15:31:53 +0300

libgtkmozembed (1.4.3-1) unstable; urgency=low

  * Delete obsolete API

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 11 Sep 2008 02:00:43 +0300

libgtkmozembed (1.4.2-5) unstable; urgency=low

  * Define libgtkmozembed as old gtkmozembed version

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 10 Sep 2008 16:59:22 +0300

libgtkmozembed (1.4.2-4) unstable; urgency=low

  * Fixed bustage from previous commit 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 02 Sep 2008 22:35:10 +0300

libgtkmozembed (1.4.2-3) unstable; urgency=low

  * Removed old sources from libgtkmozembed 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 02 Sep 2008 20:59:59 +0300

libgtkmozembed (1.4.2-2) unstable; urgency=low

  * Fixed building on cs2007

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 25 Jul 2008 10:09:06 +0300

libgtkmozembed (1.4.2-1) unstable; urgency=low

  * Fixed building on cs2007

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 24 Jul 2008 21:48:45 +0300

libgtkmozembed (1.4.1-7) unstable; urgency=low

  * move context menu stuff to microb eal.

 -- Ben <ben@koku.research.nokia.com>  Wed, 23 Jul 2008 14:30:17 +0300

libgtkmozembed (1.4.1-6) unstable; urgency=low

  * Updated changelog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 21 Jul 2008 11:30:41 +0300

libgtkmozembed (1.4.1-5) unstable; urgency=low

  * Removed save_target API
  * Removed Focus debug printf

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 18 Jul 2008 16:22:46 +0300

libgtkmozembed (1.4.1-4) unstable; urgency=low

  * Download manager moved to microb-eal

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Fri,  4 Jul 2008 13:02:31 +0300

libgtkmozembed (1.4.1-3) unstable; urgency=low

  * Fixed build bustage 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 27 Jun 2008 11:06:53 +0300

libgtkmozembed (1.4.1-2) unstable; urgency=low

  * Removed FilePicker

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Thu, 26 Jun 2008 09:46:14 +0300

libgtkmozembed (1.4.1-1) unstable; urgency=low

  * Kill Old EmbedContextInfo functionality

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 25 Jun 2008 22:52:00 +0300

libgtkmozembed (1.3.5-1) unstable; urgency=low

  * Kill obsolete functionality 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 25 Jun 2008 21:39:31 +0300

libgtkmozembed (1.3.4-2) unstable; urgency=low

  * Fixed broken MODAL dialogs resizing for google gears notification box

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 25 Jun 2008 15:55:34 +0300

libgtkmozembed (1.3.4-1) unstable; urgency=low

  *  Move GtkPromptService to microb-eal

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 24 Jun 2008 17:58:39 +0300

libgtkmozembed (1.3.3-3) unstable; urgency=low

  * Remove extension manager functionality from gtkMozEmbed 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 24 Jun 2008 17:22:51 +0300

libgtkmozembed (1.3.3-2) unstable; urgency=low

  * Add ENGINE defines printing 
  * Fixed NS_APP_USER_PROFILE_LOCAL_50_DIR define  (profLD)

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 19 Jun 2008 16:02:44 +0300

libgtkmozembed (1.3.3-1) unstable; urgency=low

  *  Removed old API structure from gtkmozembed

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 19 Jun 2008 14:05:46 +0300

libgtkmozembed (1.3.2-4) unstable; urgency=low

  * Fixed compiling with external API 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 17 Jun 2008 13:43:32 +0300

libgtkmozembed (1.3.2-3) unstable; urgency=low

  * Removed not required functionality 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 17 Jun 2008 13:38:19 +0300

libgtkmozembed (1.3.2-2) unstable; urgency=low

  * Better fix according to	https://bugzilla.mozilla.org/attachment.cgi?id=325392 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 17 Jun 2008 13:26:21 +0300

libgtkmozembed (1.3.2-1) unstable; urgency=low

  * More proper fix for bugs 437018, 439213

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 17 Jun 2008 09:05:54 +0300

libgtkmozembed (1.3.1-7) unstable; urgency=low

  * Fixed broken nsIPromptService interface 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 16 Jun 2008 16:08:15 +0300

libgtkmozembed (1.3.1-6) unstable; urgency=low

  * Remove browser history functionality (History functionality is moved to
    MicroB-eal)

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Thu, 12 Jun 2008 17:47:23 +0300

libgtkmozembed (1.3.1-5) unstable; urgency=low

  * Enabled embedding for modal xul windows 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 12 Jun 2008 15:07:59 +0300

libgtkmozembed (1.3.1-4) unstable; urgency=low

  * Fixed GtkMozHistoryItem include 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 12 Jun 2008 11:04:50 +0300

libgtkmozembed (1.3.1-3) unstable; urgency=low

  * Fixed Dir service provider for correct EM startup

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 09 Jun 2008 18:20:09 +0300

libgtkmozembed (1.3.1-2) unstable; urgency=low

  * Disable gtkmozembed xpiinstall dialog service 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 06 Jun 2008 16:15:15 +0300

libgtkmozembed (1.3.1-1) unstable; urgency=low

  * Move all gtkmozembed sources to svn
    Need to be stripped and reorganized for using with microb2 architecture

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 06 Jun 2008 16:03:51 +0300

libgtkmozembed (1.2.3-14) unstable; urgency=low

  * Removed EmbedCertificates.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu,  5 Jun 2008 14:40:51 +0300

libgtkmozembed (1.2.3-13) unstable; urgency=low

  * Fixed proper embedding for XUL windows, such as xpiInstaller confirm dialog, extension manager

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 03 Jun 2008 12:01:46 +0300

libgtkmozembed (1.2.3-12) unstable; urgency=low

  * [MERGE] Bugfix#85476 Forward-Backward buttons on browser work only on 2nd
    press after panning.  

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  2 Jun 2008 14:18:44 +0300

libgtkmozembed (1.2.3-11) unstable; urgency=low

  * Temporary workarround for XPI installer service in trunk build 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 30 May 2008 17:32:04 +0300

libgtkmozembed (1.2.3-10) unstable; urgency=low

  * Disable changelogs for bugs with bad resolution

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 29 May 2008 16:22:54 +0300

libgtkmozembed (1.2.3-9) unstable; urgency=low

  * Get new mozilla history functionality in use.

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Wed, 28 May 2008 17:28:30 +0300

libgtkmozembed (1.2.3-8) unstable; urgency=low

  * Fixed building on latest trunk microb-engine 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 27 May 2008 17:42:20 +0300

libgtkmozembed (1.2.3-7) unstable; urgency=low

  * Fixes: 85021 when text input is autofocused pressing backspace key
    causes that browser goes back to previous page 

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Wed,  7 May 2008 20:52:40 +0300

libgtkmozembed (1.2.3-6) unstable; urgency=low

  * Fixes:  83382 Browser: 'Browserd' and, 'Internal Error...', Crash

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Sun, 20 Apr 2008 16:54:27 -0400

libgtkmozembed (1.2.3-5) unstable; urgency=low

  * Required changes for MB:412822 nsIFilePicker makes it hard to drop in other url systems

 -- Josh Soref <josh.soref@nokia.com>  Mon, 14 Apr 2008 15:28:53 +0300

libgtkmozembed (1.2.3-4) unstable; urgency=low

  * Missing patch added 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Apr 2008 11:22:01 +0300

libgtkmozembed (1.2.3-3) unstable; urgency=low

  * Fixes: NB#83352 browser crashes when closing new opened window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Apr 2008 11:21:14 +0300

libgtkmozembed (1.2.3-2) unstable; urgency=low

  * Fixes: NB#79169 Browser crashes in the mentioned scenario.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 08 Apr 2008 15:23:27 +0300

libgtkmozembed (1.2.3-1) unstable; urgency=low

  * Fixes: NB#83331 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 01 Apr 2008 13:48:34 +0300

libgtkmozembed (1.2.2-4) unstable; urgency=low

  * Fixed proper downloading of gzipped favicons (engadget.com).

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 31 Mar 2008 17:46:34 +0300

libgtkmozembed (1.2.2-3) unstable; urgency=low

  * Fixes: NB#82620 RSS Feed Reader - can't add feed after first page loading

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Mon, 31 Mar 2008 16:25:45 -0400

libgtkmozembed (1.2.2-2) unstable; urgency=low

  * Fixes: NB#77860 [FAVICON] are wrong displayed in application switcher

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 31 Mar 2008 16:50:49 +0300

libgtkmozembed (1.2.2-1) unstable; urgency=low

  * Fixes: NB#82793 Browser should not suspend

 -- Oleg Romashin <romaxa@gmail.com>  Mon, 31 Mar 2008 11:20:08 +0300

libgtkmozembed (1.2.1-4) unstable; urgency=low

  * Fixes: NB#79169 Browser crashes in the mentioned scenario 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 27 Mar 2008 17:31:09 +0200

libgtkmozembed (1.2.1-3) unstable; urgency=low

  * Fixes: NB#83101 Installed Components: Details/No spaces between semicolons
 
 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 26 Mar 2008 16:47:16 +0200

libgtkmozembed (1.2.1-2) unstable; urgency=low

  * Fixes: NB#81393 Browser Unlocalised string

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 25 Mar 2008 11:55:35 +0200

libgtkmozembed (1.2.1-1) unstable; urgency=low

  * Fixed History list save on close last window

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 20 Mar 2008 17:24:06 +0200

libgtkmozembed (1.1.9-11) unstable; urgency=low

  * Additional Fixes: NB#78327  

 -- Anton Rogaynis <rogainis@gmail.com>  Thu, 20 Mar 2008 10:40:56 -0400

libgtkmozembed (1.1.9-10) unstable; urgency=low

  * Added special preference for disabling engine suspend

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 19 Mar 2008 19:03:27 +0200

libgtkmozembed (1.1.9-9) unstable; urgency=low

  * Fixes: NB#78327 thumb keyboard is invoked over readOnly textarea 

 -- Anton Rogaynis <rogainis@gmail.com>  Wed, 19 Mar 2008 18:54:29 -0400

libgtkmozembed (1.1.9-8) unstable; urgency=low

  * Fixed build bustage 

 -- Oleg Romashin <romaxa@gmail.com>  Wed, 19 Mar 2008 17:15:19 +0200

libgtkmozembed (1.1.9-7) unstable; urgency=low

  * Fixes: NB#82793 Browser side 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 19 Mar 2008 16:26:50 +0200

libgtkmozembed (1.1.9-6) unstable; urgency=low

  * Add kinetic scroll patches

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 18 Mar 2008 10:16:30 +0200

libgtkmozembed (1.1.9-5) unstable; urgency=low

  * Updating Makefiles back 

 -- Anton Rogaynis <rogainis@gmail.com>  Tue, 18 Mar 2008 08:49:58 -0400

libgtkmozembed (1.1.9-4) unstable; urgency=low

  * Partial fixes for NB#82617 

 -- Anton Rogaynis <rogainis@gmail.com>  Mon, 17 Mar 2008 14:13:59 -0400

libgtkmozembed (1.1.9-3) unstable; urgency=low

  * Fixes: NB#82378, missing include 

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 17:46:08 +0200

libgtkmozembed (1.1.9-2) unstable; urgency=low

  * Fixes: NB#82378 Downloading goes to pause -state when device goes to power saving mode

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 17:45:14 +0200

libgtkmozembed (1.1.9-1) unstable; urgency=low

  * Fixes: NB#78239 Chr+key doesn't work properly in input fields

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 14 Mar 2008 16:43:46 +0200

libgtkmozembed (1.1.8-3) unstable; urgency=low

  * Additional fixes for bug 78180 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 16:23:21 +0200

libgtkmozembed (1.1.8-2) unstable; urgency=low

  * Fixed proper patch apply
  * Enabled EmbedCommon destroy before killing process

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 15:46:54 +0200

libgtkmozembed (1.1.8-1) unstable; urgency=low

  * Fixes: NB#78180 Browser crash, when user open and close statistics window	several times

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 15:38:59 +0200

libgtkmozembed (1.1.7-1) unstable; urgency=low

  * Fixed proper installation error message 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 13 Mar 2008 12:29:50 +0200

libgtkmozembed (1.1.6-3) unstable; urgency=low

  * Fixes: NB#82500 RSS functionality broke Browser UI specification

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Thu, 13 Mar 2008 12:18:44 -0400

libgtkmozembed (1.1.6-2) unstable; urgency=low

  * Fixes: NB#79267 CSM is wrongly displayed on link 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 12 Mar 2008 15:39:51 +0200

libgtkmozembed (1.1.6-1) unstable; urgency=low

  * Fixes: NB#79261 loading progress bar shows very high values when page is being loaded 
  * Fixes: NB#82354 Browser download speed over WIMAX does not meet	requirements

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 11 Mar 2008 16:41:45 +0200

libgtkmozembed (1.1.5-2) unstable; urgency=low

  * Fixes: NB#78019 Autoscroll is not working when VKB is invoked 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 11 Mar 2008 10:33:44 +0200

libgtkmozembed (1.1.5-1) unstable; urgency=low

  * Fixes: NB#78284 Browser crashes after nsIPromptService interface was used

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 10 Mar 2008 21:41:10 +0200

libgtkmozembed (1.1.4-3) unstable; urgency=low

  * Fixes: NB#80358 Virtual keyboard typing is not working after scrolling a web page 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 10 Mar 2008 13:23:58 +0200

libgtkmozembed (1.1.4-2) unstable; urgency=low

  * Fixes: NB#79169 Browser crashes in the mentioned scenario

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 09 Mar 2008 19:56:37 +0200

libgtkmozembed (1.1.4-1) unstable; urgency=low

  * Fixes: NB#77860 [FAVICON] are wrong displayed in application switcher

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 08 Mar 2008 19:26:49 +0200

libgtkmozembed (1.1.3-4) unstable; urgency=low

  * Fixes: NB#80511 Web browser doesn't restart after installing XPI based add-ons 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 07 Mar 2008 16:21:06 +0200

libgtkmozembed (1.1.3-3) unstable; urgency=low

  * Fixes: NB#81641 The Downloading process for XPI add-ons is not paused on pressing 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 07 Mar 2008 15:58:33 +0200

libgtkmozembed (1.1.3-2) unstable; urgency=low

  * Fixed bug 412822 nsIFilePicker makes it hard to drop in other url systems
    only for trunk builds

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 07 Mar 2008 03:42:11 +0200

libgtkmozembed (1.1.3-1) unstable; urgency=low

  * Fixes: NB#80464 Browser low memory handling shall be revisited
  * Fixes: NB#81422 While user's widget is running, 'Authentication' dialog	is not appeared for secur

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 06 Mar 2008 18:12:01 +0200

libgtkmozembed (1.1.2-2) unstable; urgency=low

  * Fixes: NB#81273 Ellipsis is not appended in address field of Install
    component dialog. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  5 Mar 2008 17:34:17 +0200

libgtkmozembed (1.1.2-1) unstable; urgency=low

  * Fixes: NB#81608 browserd daemon is in deadlock.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 05 Mar 2008 16:57:51 +0200

libgtkmozembed (1.1.1-2) unstable; urgency=low

  * Fixes: NB#78714 

 -- Anton Rogaynis <anton.rogaynis@nokia.com>  Tue,  4 Mar 2008 13:13:12 -0500

libgtkmozembed (1.1.1-1) unstable; urgency=low

  * More fixes for NB#81398 Incorrect behaviour of browser for pages	which invoke Cookie confirmation dialog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 28 Feb 2008 21:54:53 +0200

libgtkmozembed (1.1.0-5) unstable; urgency=low

  * Fixes: NB#81398 Incorrect behaviour of browser for pages which invoke Cookie confirmation dialog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 28 Feb 2008 18:28:44 +0200

libgtkmozembed (1.1.0-4) unstable; urgency=low

  * Fixes: NB#81275 Install button in Available updates dialog is not
    dimmed.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 27 Feb 2008 10:49:32 +0200

libgtkmozembed (1.1.0-3) unstable; urgency=low

  * Improved memory handling functionality
  * Changed highmem timeouts

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 26 Feb 2008 18:12:00 +0200

libgtkmozembed (1.1.0-2) unstable; urgency=low

  * Fixes: NB#80288 Browser does not sleep always but seems to busyloop on certain pages

 -- Oleg Romashin <romaxa@gmail.com>  Tue, 26 Feb 2008 17:00:35 +0200

libgtkmozembed (1.1.0-1) unstable; urgency=low

  * Fixed proper working with TestGtkEmbed application

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 25 Feb 2008 19:29:26 +0200

libgtkmozembed (1.0.20-6) unstable; urgency=low

  * Fixes: NB#78010 browser doesnt react to turning off/on flashplugin
    for swf files

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 25 Feb 2008 11:01:55 +0200

libgtkmozembed (1.0.20-5) unstable; urgency=low

  * Fixed building without MOZ_RDF

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 25 Feb 2008 09:53:06 +0200

libgtkmozembed (1.0.20-4) unstable; urgency=low

  * Removed useless functionality

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 18:18:09 +0200

libgtkmozembed (1.0.20-3) unstable; urgency=low

  * Disable download dialog for local XPI downloads 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 17:05:02 +0200

libgtkmozembed (1.0.20-2) unstable; urgency=low

  * Fixes: NB#81142 'Install component' dialog is displayed again after	finished installation.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 17:02:00 +0200

libgtkmozembed (1.0.20-1) unstable; urgency=low

  * Fixes: NB#81250 It is impossible to uncheck components in the 'Available updates' dialog.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 16:41:17 +0200

libgtkmozembed (1.0.19-6) unstable; urgency=low

  * Fixed patch to sdk-lib directory

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 10:37:02 +0200

libgtkmozembed (1.0.19-5) unstable; urgency=low

  * Fixed building without MOZ_RDF

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 24 Feb 2008 10:17:10 +0200

libgtkmozembed (1.0.19-4) unstable; urgency=low

  * Fixes: NB#77804 nonexisting URLs appear in location choice list

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 18:34:25 +0200

libgtkmozembed (1.0.19-3) unstable; urgency=low

  * Fixes: NB#80592 It is imposible to change state of few component in	browser application. 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 16:02:32 +0200

libgtkmozembed (1.0.19-2) unstable; urgency=low

  * Fixed support for building with TRUNK mozilla sources

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 15:13:35 +0200

libgtkmozembed (1.0.19-1) unstable; urgency=low

  * Fixes: NB#77918 Page with frames is rendered incorrectly when zoom level is decreased for	one frame

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 14:44:34 +0200

libgtkmozembed (1.0.18-3) unstable; urgency=low

  * Fixes: NB#77798 CSM- zooming center point wrong location 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Feb 2008 12:54:34 +0200

libgtkmozembed (1.0.18-2) unstable; urgency=low

  * Fixes: NB#80573 browserd window cannot be closed

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 22 Feb 2008 15:41:57 +0200

libgtkmozembed (1.0.18-1) unstable; urgency=low

  * More better handling of low/high memory situation

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 22 Feb 2008 15:28:14 +0200

libgtkmozembed (1.0.17-1) unstable; urgency=low

  * Fixed bug NB#78019 Autoscroll is not working when VKB is invoked

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 21 Feb 2008 09:48:59 +0200

libgtkmozembed (1.0.16-2) unstable; urgency=low

  * Minor test change

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Feb 2008 17:26:26 +0200

libgtkmozembed (1.0.16-1) unstable; urgency=low

  * Magic fix for bug NB#78227, disabled not required stuff

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Feb 2008 17:23:58 +0200

libgtkmozembed (1.0.15-1) unstable; urgency=low

  * Fixed crash on load image functionality
  * NB#80283: Browser crashes while trying to access Load image option from CSM.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Feb 2008 16:43:40 +0200

libgtkmozembed (1.0.14-2) unstable; urgency=low

  * Magic fix for bug NB#79325 Browser is crashed when cookie confirmation dialog should be appeared

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Feb 2008 16:34:42 +0200

libgtkmozembed (1.0.13-1) unstable; urgency=low

  * Fixed crash on image set policy

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Feb 2008 15:17:58 +0200

libgtkmozembed (1.0.12-1) unstable; urgency=low

  * Fixed regression bug NB#79630, wrong surrounding handling

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 18 Feb 2008 13:50:01 +0200

libgtkmozembed (1.0.11-5) unstable; urgency=low

  * update changelog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Feb 2008 12:51:48 +0200

libgtkmozembed (1.0.11-4) unstable; urgency=low

  * Fixed crashes and freezes on install components dialog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 Feb 2008 21:48:16 +0200

libgtkmozembed (1.0.11-3) unstable; urgency=low

  * Fixed bug NB#80505

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 Feb 2008 16:22:24 +0200

libgtkmozembed (1.0.11-2) unstable; urgency=low

  * Fixed clearing auth info on exit, XPI dialogs fixes

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 14 Feb 2008 10:14:19 +0200

libgtkmozembed (1.0.11-1) unstable; urgency=low

  * Fixed crash on XPI installation
  * Moving old microb-gtkmozembed stuff in separate folder
  * Added files for hildon UI temporary implementation
  * Simple implementation of First install dialog
  * Added initial implementaion of Components Update/Uninstall
  * Added simple implementation for Components update functionality
  * Fixed build dependency
  * Added simple Available updates dialog
  * Fixed broken configure check for hildon libs
  * Translation string moved in gtkmozembed_hildon.h
  * Fixed crashes. Update/uninstall components implementation
  * Fixes: NB#80060 Virtual keyboard does not work with Rich Edit
  * Updated find updates dialog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  8 Feb 2008 11:29:32 +0200

libgtkmozembed (1.0.10-1) unstable; urgency=low

  * Added implementation of components updating interface

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 06 Feb 2008 16:06:37 +0200

libgtkmozembed (1.0.9-1) unstable; urgency=low

  * Fixed broken BAD certificates notification
  * Fixed signals building
  * Removed autogenerated files
  * Fixed building with previous fix
  * Changed Common signals API

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  1 Feb 2008 10:44:01 +0200

libgtkmozembed (1.0.8-2) unstable; urgency=low

  * Changed favicon signal signature from pointer to string 
  * 028_MozembedTransparencyExtension.diff added to default configuration
  * Fixed broken include

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 25 Jan 2008 22:46:13 +0200

libgtkmozembed (1.0.8-1) unstable; urgency=low

  * Improved new GtkMozContext object
  * Removed some dependencies from old MozContext
  * Added fallback way to getn Event Node
  * Fixed broken confirm_ex handler
  * Changed absolute path's to relative
  * Updated transparency extension patch
  * Added bugfix 412186 startup xpcom

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 21 Jan 2008 10:52:14 +0200

libgtkmozembed (1.0.7-1) unstable; urgency=low

  * Major GtkMozEmbed  rework
  * Fixed broken input text
  * Updated to trunk
  * fixed gtk1 functionality
  * Fixed broken prompt service for multiple windows
  * Fixed many crashes
  * First part of full reorganization of EmbedContextMenuInfo class
  * Fixed broken CSM menu
  * Updated standalone prompter
  * Updated MozembedTransparencyExtension patch
  * Minimizing 000_MICROB_BRANCHES.diff patch
  * Reorder and strip includes
  * Minimizing of 000_MICROB_BRANCHES.diff patch
  * removed static_casts, tab spaces
  * MAILTO signal (obsolete with OPEN_URI)
  * Removed prompt stuff from default gtkmozembed
  * New microb implementation process
  * PromptService rework
  * Removed debian/patches/microb
  * Added independent microb placeholder
  * Fixed conflict of microb_glue with standart glue
  * Added microb_glue file
  * Fixed building EmbedPrivate
  * Merged patch 029_XPComPushPopStartup.diff into 022_ComponentsRegister.diff
  * Updated patchset according to Bug408490.profile_dir.diff
  * Fixed broken building after last changes
  * Moved download fixes in one patch
  * Refreshed all patches
  * Removed EmbedPrompter changes
  * Applied patch with strings cleanup
  * Removed double LOCAL_INCLUDES
  * Minimized 000_MICROB_BRANCHES.diff patch
  * Updated patchset according to changed diff option in MICROB_BRANCH patchset "-s -B"

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 13 Jan 2008 19:26:34 +0200

libgtkmozembed (1.0.6-1) unstable; urgency=low

  * Fixed missing interface.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  7 Jan 2008 10:21:26 +0200

libgtkmozembed (1.0.5-1) unstable; urgency=low

  * Fixed configuration of XPCOM_GLUE_LDOPTS from pkgconfig
  * Modified postinst and postrm scripts.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 28 Dec 2007 16:32:30 +0200

libgtkmozembed (1.0.4-1) unstable; urgency=low

  * Fixed shaking when panning
  * Transparency support patch
  * Fixed xpcom Push/Pop startup and widgets counting
  * Fixed building on trunk microb-engine

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 17 Dec 2007 11:25:05 +0200

libgtkmozembed (1.0.3-1) unstable; urgency=low

  * Updated gtkmozmebed patchset
  * Some fix for configuring gtkmozmebed package according microb build configuration
  * Updated to trunk gtkmozmebed

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 11 Dec 2007 17:05:35 +0200

libgtkmozembed (1.0.2-1) unstable; urgency=low

  * Correct inspection findings on patch 710
  * Add 710_webruntime_extension patch

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 10 Dec 2007 10:32:54 +0200

libgtkmozembed (1.0.1-1) unstable; urgency=low

  * Fixed data info about downloading file
  * Fixed ugly XRE initialization, fixed memory leak on first startup
  * Fixed broken extensions initialization, which requires double restart
  * Improved download manager functionality
  * Added possibility to listen EmbedDownloadManger...
  * Fixed broken MOZ_RDF define
  * Fixed Proper notification after installation
  * Fixed ex-manager restart and components registry
  * Added xpinstall directory for building with xpinstaller headers
  * Fixed proper recieving of GtkWdget
  * Fixed using gtkmozembed download proress dialog for xpinstaller
  * XPI dalog service moved to gtkmozembed ( download progress.... )
  * Fixed crash on download show.
  * Fixed opening prompt window from NULL parent
  * Fixed bug:gtkmozembed crash if you try create new instance of embed
    browser after previous one was deleted. Fixes: NB#78066

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  3 Dec 2007 11:57:06 +0200

libgtkmozembed (0.10.3-1) unstable; urgency=low

  * Fixed bug:Browser chooses text too easily when panning. Fixes: NB#70844
  * Fixed bug:Double tap and drag interaction is triggered in a wrong way.
    Fixes: NB#73832

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 26 Nov 2007 11:53:37 +0200

libgtkmozembed (0.10.2-1) unstable; urgency=low

  * Fixed bug#After alert dialog CSM menu start animation stays on screen.
    Fixes: NB#68237
  * Partially fixed bug#74123:Page starts trembling (jittering) while
    horizontal
    panning.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Nov 2007 14:35:21 +0200

libgtkmozembed (0.10.1-1) unstable; urgency=low

  * Fixed bug:CSM functionality seems to be broken in browser. Fixes: NB#70091
  * Fixed bug:Browser crash, when try to insert picture with Thinkfree
    document. Fixes: NB#75821

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 13 Nov 2007 17:55:08 +0200

libgtkmozembed (0.10.0-1) unstable; urgency=low

  * Fixed bug:Buttons are getting edited. Fixes: NB#74293
  * Fixed bug:Browser crash, when user open and close statistics window
    several times. Fixes: NB#74445
  * Fixed bug#74318:browser endurance test under i386-valgrind: massive
    leaking reported.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  5 Nov 2007 10:55:13 +0200

libgtkmozembed (0.9.18-1) unstable; urgency=low

  * Reverted the following patches:
      215_new_pan_organization2.diff.
      216_new_pan_organization3.diff
      400_fix_for_csm_behaviour.diff
      370_AJAX_CSM_improvements.diff

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 18 Oct 2007 11:54:44 +0300

libgtkmozembed (0.9.17-1) unstable; urgency=low

  * Fixed bug:[crash]browser crashes when pop-up is closed.
    Fixes: NB#63908
  * Fixed bug: CSM (context-sensitive menu) functionality
    seems to be broken in (only) browser. Fixes: NB#70091

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 15 Oct 2007 12:15:36 +0300

libgtkmozembed (0.9.16-1) unstable; urgency=low

  * Fixed bug:holding down stylus gives spurious motion notify events.
    Fixes: NB#61404
  * Added SELECT functionality. Fixes: NB#72257

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  7 Oct 2007 19:13:56 +0300

libgtkmozembed (0.9.15-1) unstable; urgency=low

  * Fixed static cast according to bug 348748
  * Fixed nsICommandManager.h include
  * Fixed bug:Go to BBC news and try to watch a video from their site. 
    Fixes: NB#70847
  * Fixed bug:Can't use e.g. bolded scandinavian character with Blogger site.
    Fixes: NB#68863
  * Fixed bug:browser crash when try to delete item from download dialog.
    Fixes: NB#70968
  * Fixed bug:Browser does not send the resume event to flashplayer after
    dragging if stylus has left the browser window. Fixes: NB#69799

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 30 Sep 2007 14:59:27 +0300

libgtkmozembed (0.9.14-1) unstable; urgency=low

  * Fixed bug:Browser does not send the resume event to flashplayer after
    dragging if stylus has left the browser window. Fixes: NB#69799
  * Updated gtkmozembed side after last change in engine related to JS handled
    event interface
  * Added some NULL checks for download interface
  * Added bugfix for bug 70251: browser doesnt react to turning off/on flashplugin for swf files
  * Fixed bug:MediaPlayer doesn't start properly from a BBC video page. 
    Fixes: NB#70098
  * Fixed bug:browser crash after tap on download dialog buttons. 
    Fixes: NB#70132
  * Fixed some crashes in downloads code
  * Fixed some minor and major problems, detected by coverity

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 23 Sep 2007 21:34:08 +0300

libgtkmozembed (0.9.13-1) unstable; urgency=low

  * Fixed bug 55539 image details does not show dimensions every time
  * Fixed bug:The ComboBox placed on page works incorrectly. Fixes: NB#66883
  * Fixed wrong using of g_list_remove_link
  * Fixed using freed element
  * Fixed bug:Valgrind reported unconditional jumps in Browse. 
    Fixes: NB#66825
  * Enabled blocking popups listener
  * Fixed bug:Cursor is in wrong positon after special character is typed.
    Fixes: NB#63169
  * Fixed bug:Pressing enter is closing FKB with www.hotmail.com site..
    Fixes: NB#69462
  * Fixed proper sending events for plugins
  * Updated fix for RSS xsl transformations handling
  * Fixed bug:WB toolbar lacks RSS button for BBC feeds. Fixes: NB#54733
  * Added proper implementation of downloader withou download request
  * Fixed bug:Image details - incorrect file size. Fixes: NB#39125
  * Fixed bug:Web browser doesn't download file. Fixes: NB#68061

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 17 Sep 2007 09:24:13 +0300

libgtkmozembed (0.9.12-2) unstable; urgency=low

  * Fixed bug:Browser crashed when going to add a comment and starting to
    write in entry field. Fixes: NB#68230

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 17:43:08 +0300

libgtkmozembed (0.9.12-1) unstable; urgency=low

  * Fixed bug:save as function does not work correct from This frame submenu.
    Fixes: NB#53497
  * Fixed bug::Web, additional semi-colon in the string plugin description.
    Fixes: NB#65308
  * Fixed bug:Thumb keyboard doesn't work inside Gmail plain text. Fixes: NB#65457
  * Fixed bug:Scroll bars hide under VKB.. Fixes: NB#55622
  * Disabled VKB Resize control by default, probably should be dropped at all

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  9 Sep 2007 17:16:49 +0300

libgtkmozembed (0.9.11-1) unstable; urgency=low

  * Fixed Memory leaks for bug 66824 
  * Added small fix for plugins list function

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 31 Aug 2007 20:36:30 +0300

libgtkmozembed (0.9.10-1) unstable; urgency=low

  * Added patch wich supposed to enable dom popup block support.
  * Fixed bug: CSM is not giving options to select 'open in new window' for
    web links. Fixes: NB#64465
  * Fixed bug:Browser failed to load under memory full condition. 
    Fixes: NB#62021
  * Fixed bug: Click on the zooming bar on the left once, and you get a CSM
    menu launched. Fixes: NB#65859

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 26 Aug 2007 15:59:18 +0300

libgtkmozembed (0.9.9-1) unstable; urgency=low

  * Fixed bug:This Frame is missing from CSM. Fixes: NB#58158

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 17 Aug 2007 19:12:03 +0300

libgtkmozembed (0.9.8-2) unstable; urgency=low

  * Fixed build bustage

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 13 Aug 2007 09:37:30 +0300

libgtkmozembed (0.9.8-1) unstable; urgency=low

  *  Fixed bug: Changing blog's template on www.blogger.com does not work
     properly because of CSM showing up. Fixes: NB#58922
  * Changed order of patch applying
  * Downloads moved in one place
  * Fixed browser crash bug. We have to check again closing browser testcases.
    Fixes: NB#65157

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 12 Aug 2007 20:17:13 +0300

libgtkmozembed (0.9.7-3) unstable; urgency=low

  * Changed section name(user/libs to libs) in Debian control file.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  7 Aug 2007 12:38:24 +0300

libgtkmozembed (0.9.7-2) unstable; urgency=low

  * Updated version and changelog 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 03 Aug 2007 16:34:32 +0300

libgtkmozembed (0.9.7-1) unstable; urgency=low

  * Authentication dialog remembers incorrect password although it would be
    corrected by the user later on. Fixes: NB#61544

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 20 Jul 2007 20:58:23 +0300

libgtkmozembed (0.9.6-1) unstable; urgency=low

  * Fixed deblayout path
  * Improved Page using and navigation with finger
  * Fixed bugs related to single line, multiline widgets...
  * Removed showing CTX menu on buttons checkbox.... (I guess it is ugly and should be removed from spec)
  * Fixed google docs drag problem...
  * Disabled panning on Complicated <a> tags
  * Added still some fixes for crash on close fix
  * Fixed crash on exit
  * Double destroy of EmbedPrivate

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat,  7 Jul 2007 23:59:01 +0300

libgtkmozembed (0.9.5-1.1) unstable; urgency=low

  * Fixed broken progress bar
  * Fixed major memory leak on closing browser XPCOM not shutdowned
  * Fixed broken Password Manager destroy (double free :( )
  * Fixes: NB#58258,NB#61991,NB#58189

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  4 Jul 2007 15:32:06 +0300

libgtkmozembed (0.9.4-1.1) unstable; urgency=low

  * Fixes: NB#61548,NB#56205,NB#53999
  * Fixed memory leak on not closed file pointer
  * Removed some not required memory allocation Also fixed one Invalid read
  * Enabled keyword.URL support

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  1 Jul 2007 18:37:17 +0300

libgtkmozembed (0.9.3-1.1) unstable; urgency=low

  * Fixes: NB#55796,NB#55568
  * Replaced literal value 0U by corresponding enum
  * Fixed animation stop after mouse up. Fixed Start panning (CSM open 
  * Declaration moved in gtkmozembed2 functions list
  * Fixed broken function heade
  * Added more improvements for image loading
  * Fixed damn SILLY typo in patch 330
  * Updated image loading patch with some improvements. There are still ...
  * Fixed history initialize memory leak
  * Fixed some memory leaks and compiler warnings
  * Added patch for image loading improvements (loading from CSM and page ...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat, 23 Jun 2007 21:40:58 +0300

libgtkmozembed (0.9.2-1.1) unstable; urgency=low

  * Fixes: NB#52028
  * Updated patch 270_clear_window_on_title.diff: fixed focus problem
  * Renamed history.dat to txt, to disable mixing with auto data
  * PanStateReset? moved in first panning patch Fixed bug with wrong
    blocked...
  * Enabled Extension Manager

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 15 Jun 2007 16:01:59 +0300

libgtkmozembed (0.8.40-1.1) unstable; urgency=low

  * Some mozilla coding style adjustments
  * Updated patch to fix vertical resizing
  * Fix for Vertical resizing
  * Added extension manager functionality

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  8 Jun 2007 17:29:27 +0300

libgtkmozembed (0.8.39-1.1) unstable; urgency=low

  * Fixed bug blocking URI open after panning Merged some patches
  * Fixed missed patch part

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  3 Jun 2007 18:25:59 +0300

libgtkmozembed (0.8.38-1.1) unstable; urgency=low

  * Added workaround for cleaning window after title change
  * Updated to trunk microb-engine

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  3 Jun 2007 14:36:55 +0300

libgtkmozembed (0.8.37-1.1) unstable; urgency=low

  * Fixed building with different OBJ dir
  * Fixed makefiles for building in OBJ DIR
  * Fixed panning problems on spreadsheets.google.com

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 28 May 2007 19:26:34 +0300

libgtkmozembed (0.8.36-1.1) unstable; urgency=low

  * Added Stuff for handling js event listeners
  * Fixed header info
  * Bugfix for panning on http://www.google.ru/ig?hl=en
  * Fixed brocken function for getting scrollable window
  * Fixed return value when there are no JS handler
  * Added JSEventHandler functions
  * Removed small ftv fix and added fix for zoom rendering
  * Added JSEventListenerHandler

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 27 May 2007 11:41:04 +0300

libgtkmozembed (0.8.35-1.1) unstable; urgency=low

  * Added funtion to update FTV
  * Fixed Select All dimmed when focus is on framesets.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 25 May 2007 10:04:42 +0300

libgtkmozembed (0.8.34-1.1) unstable; urgency=low

  * Fixed panning in frames IFrames
  * Fixed connection to additional signals in other windows
  * Code cleanup for notify plugins
  * Fixed Crash on ref pointer
  * Fixed panning in frames, and probably fully fixed problems with panning in...
  * Fixed default nasty progress value
  * Fully fixed and some reorganized suspend on panning and scrolling
  * Fixed free panning/scrolling
  * Added New Panning organization patch with Scrollbar fix and full ...
  * Added pan optimizations 3 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 20 May 2007 18:19:07 +0300

libgtkmozembed (0.8.33-1.0) unstable; urgency=low

  * New pan organization divided on to parts (Without/With engine hack) Fixed...
  * Fixed Broken coords check

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 16 May 2007 16:20:31 +0300

libgtkmozembed (0.8.32-1.1) unstable; urgency=low

  * Fixes: NB#56203
  * Fixed force pan option according to fixed selection ;)
  * update 235_Plugin_Notification.diff
  * Fixed force pan option according to fixed selection ;)
  * Fixed bug Bug 373196 text selection with the mouse not working
  * Reorganized patchset and patch numbers
  * Progress hacks patch moved to the end of patchset All plugins hacks ...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 15 May 2007 12:59:50 +0300

libgtkmozembed (0.8.31-1.1) unstable; urgency=low

  * Added patch for Insert text to cursor position

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 13 May 2007 20:15:30 +0300

libgtkmozembed (0.8.30-1.0) unstable; urgency=low

  * Fixes: NB#56105,NB#56112,NB#56222,NB#56090
  * Added workaround solution while Broken images will not fixed properly
  * Some fix for improve user mouse iteractions

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  8 May 2007 20:34:07 +0300

libgtkmozembed (0.8.29-1.0) unstable; urgency=low

  * Fixes: NB#50591,NB#55696,NB#55791,NB#55679
  * Implemented get_text function for supporting thumb VKB
  * Added new panning stuff optimizations
  * Added experimental stuff for fast panning, Also it should fix crazy...
  * Fixed searching for scrollable window if current (frame) not scrollable

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun,  6 May 2007 20:16:16 +0300

libgtkmozembed (0.8.28-1.0) unstable; urgency=low

  * Fixes: NB#54369

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed,  2 May 2007 08:52:51 +0300

libgtkmozembed (0.8.27-1.0) unstable; urgency=low

  * Fixes: NB#53633

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 29 Apr 2007 21:08:54 +0300

libgtkmozembed (0.8.26-1.0) unstable; urgency=low

  * Fixes: NB#53541,NB#52016,NB#51086,NB#54019,NB#54742 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 27 Apr 2007 23:27:29 +0300

libgtkmozembed (0.8.25-1.0) unstable; urgency=low

  * Fixes: NB#54812

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 26 Apr 2007 10:25:05 +0300

libgtkmozembed (0.8.24-1.0) unstable; urgency=low

  * Updated 210_Frame_resizing patch
  * Fixes: NB#53135,NB#53143,NB#54716,NB#53039

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 24 Apr 2007 16:39:34 +0300

libgtkmozembed (0.8.23-1.0) unstable; urgency=low

  * Removed some wrong allocations and signals emmiting
  * Fixed major bug in hacked progress

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 23 Apr 2007 13:58:02 +0300

libgtkmozembed (0.8.22-1.0) unstable; urgency=low

  * Updated 210_Resize_frame patch

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 23 Apr 2007 10:10:36 +0300

libgtkmozembed (0.8.22-1.0) unstable; urgency=low

  * Added State connection optimization full stuff

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 22 Apr 2007 20:18:59 +0300

libgtkmozembed (0.8.21-1.0) unstable; urgency=low

  * Fixed Frame resizing
  * Fixed connecting state optimization of user expierence
  * Fixes: NB#54728

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 22 Apr 2007 12:39:45 +0300

libgtkmozembed (0.8.20-1.0) unstable; urgency=low

  * Fixes: NB#51424, NB#51329,NB#53195,NB#54345,NB#54408,NB#54465

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 20 Apr 2007 18:22:57 +0300

libgtkmozembed (0.8.18-1.0) unstable; urgency=low

  * Added trunk updated for password manager
  * Fixes: NB#51263,NB#53508, NB#53516, NB#53741,NB#53900,NB#54173

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 20 Apr 2007 13:12:38 +0300

libgtkmozembed (0.8.17-1.0) unstable; urgency=low

  * Removing blank entries found in history list BUG 53195.
  * Updated license requirement

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 19 Apr 2007 14:19:20 +0300

libgtkmozembed (0.8.16-1.0) unstable; urgency=low

  * Added MP Licensing
  * Fixes:NB#54097,NB#53929,NB#53352,NB#53337,NB#53011,NB#51743

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 15 Apr 2007 13:52:37 +0300

libgtkmozembed (0.8.15-1) unstable; urgency=low

  * Fixes: NB#50861,NB#51099,NB#51931,NB#53000,NB#53011,NB#53036

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 11 Apr 2007 10:02:31 +0300

libgtkmozembed (0.8.14-2) unstable; urgency=low

  * Fixes: NB#49184, NB#51266, NB#33568, NB#51099

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sat,  7 Apr 2007 17:25:15 +0300

libgtkmozembed (0.8.14-1) unstable; urgency=low

  * Fixes: NB#53337,NB#53398

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu,  5 Apr 2007 10:52:41 +0300

libgtkmozembed (0.8.13-1) unstable; urgency=low

  * Fixes: NB#38710,NB#53143,NB#53153
  * Add patch 106_Plugin_Notification_Preference.diff
  * Fixing RV_HANDLING_CODE macro handle Fixing BROKEN_STRING_GETTER macro

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue,  3 Apr 2007 12:23:02 +0300

libgtkmozembed (0.8.12-3) unstable; urgency=low

  * Updated changelog.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 30 Mar 2007 14:54:33 +0300

libgtkmozembed (0.8.12-2) unstable; urgency=low

  * Fixes: NB#53609

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 29 Mar 2007 19:05:37 +0300

libgtkmozembed (0.8.12-1) unstable; urgency=low

  * Fixes: NB#38121,NB#52522,NB#53135
  * added widget_queue_resize in SetZoom function

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 29 Mar 2007 11:12:27 +0300

libgtkmozembed (0.8.11-5) unstable; urgency=low

  * More proper fix for bug 53143, and other similar bugs on Embed Close 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 29 Mar 2007 09:59:08 +0300

libgtkmozembed (0.8.11-4) unstable; urgency=low

  * Fixed bug 53143  

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 28 Mar 2007 23:14:02 +0300

libgtkmozembed (0.8.11-3) unstable; urgency=low

  * Fixed possible crash in password manager

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 27 Mar 2007 13:03:27 +0300

libgtkmozembed (0.8.11-2) unstable; urgency=low

  * Fixed problem with resizing window after VKB actions Fixed bug 
  * Fixed bug with moving Window for VKB in some cases
  * Added using new zoom change patch
  * Updated to branch
  * Adding patch that solves the bug related to the plugin reloading when the ..
  * Updated EmbedDownloadMgr? with Gecko coding style
  * Updated to branch

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 26 Mar 2007 18:54:36 +0300

libgtkmozembed (0.8.11-1) unstable; urgency=low

  * Fixes: NB#39372, NB#51322, NB#51329, NB#52205, NB#52534
  * Update flash notification patch, fix google video
  * Removed no longer used patch
  * Changes in code style according to gecko's. Added microb specific patches
  * enabled flash patch

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 23 Mar 2007 12:19:55 +0200

libgtkmozembed (0.8.10-2) unstable; urgency=low

  * Fixed libgtkmozembed installation with Application installer

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Mar 2007 17:55:01 +0200

libgtkmozembed (0.8.10-1) unstable; urgency=low

  * enable flash patch
  * Updated possible crash fix
  * Probably fixed random crash in GeneratePixbuf? when mOwner unitialized
  * Partially fixed bug 53135 Web page rendered in half the screen Some...
  * Updated scroll to element patch (first hacked implementation)
  * Fixed noresize window feature fixed calendar google.com See commit 8305...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 21 Mar 2007 17:08:38 +0200

libgtkmozembed (0.8.9-3) unstable; urgency=low

  * Fixed some bugs related to panning, blur, see header
  * Fixed bug with opening new URL after scroll iteractions

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 14 Mar 2007 13:59:29 +0200

libgtkmozembed (0.8.8-1) unstable; urgency=low

  * Fixes: NB#40546,NB#44114,NB#44170,NB#46192,NB#46250,NB#50804,NB#50044
  * added comment in patch 115 header
  * added patch 115_DONT_CHECKIN_providing_download_length_up.diff * solved
  * Merged and updated with branch
  * Updated to branch Fixed mem leaks Removed gnomevfs stuff from history

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu,  8 Mar 2007 17:53:38 +0200

libgtkmozembed (0.8.7-1) unstable; urgency=low

  * Removed temporary_favicon_disabled patch.
  * Added patch for removing some FilePicker? related stuff
  * Fixed wrong INTERNAL API inludes, Use nsStringGlue.h Fixed possible...
  * fileupload crashfix (bug 52205) and code improvements (still need to...

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon,  5 Mar 2007 18:47:25 +0200

libgtkmozembed (0.8.6-1) unstable; urgency=low

  * Fixes: NB#51872,NB#51690,NB#51787,NB#51925,NB#52179,NB#50943,NB#50725
  * Plugin_Notification patch has been disabled.
  * Added header detailing the patch content.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri,  2 Mar 2007 13:31:09 +0200

libgtkmozembed (0.8.5-1) unstable; urgency=low

  * RSS feeds support functionality has been changed according to the spec

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu,  1 Mar 2007 10:20:50 +0200

libgtkmozembed (0.8.4-1) unstable; urgency=low

  * Fixed broken functionality with RichEdit Input Method

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 27 Feb 2007 12:54:31 +0200

libgtkmozembed (0.8.3-2) unstable; urgency=low

  * Updated changelog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 27 Feb 2007 08:57:38 +0200

libgtkmozembed (0.8.3-1) unstable; urgency=low

  * Removed wrong comitted mozilla internal API
  * Updated to branch
  * Updated to current branch
  * 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 23 Feb 2007 11:50:22 +0200

libgtkmozembed (0.8.2-1) unstable; urgency=low

  * Added proper patch level
  * Reorganized patchset in Breanch merging order
  * Updated patches description
  * Fixed broken Makefile.in after patch refresh
  * Added commented command for saving orig Makefile.in
  * Updated and refreshed patchset, prepared for merging
  * Updated for building in different configurations
  * Added define for OUTPUT Handler implementation
  * Added last update from trunk BS
  * Prepared for merging
  * Added tools for mozembed patches
  * Added Opened get_browser function (For tests in TestGtkEmbed? application)
  * Get server certificate interface has been added
  * REmoved fPIC Flag which added by default in libtool

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 22 Feb 2007 10:40:47 +0200

libgtkmozembed (0.8.1-2) unstable; urgency=low

  * Bustage fix for generating IDL interfaces 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 20 Feb 2007 17:24:34 +0200

libgtkmozembed (0.8.1-1) unstable; urgency=low

  * Added DPI zoom patch in series file
  * Added DPI zoom enable patch back
  * Added hack for generating headers from idl (required Makefile RTFM)
  * Fixed using xul sdk
  * resume plugin when finish loading
  * Fixed exporting MOZILLA_FIVE_HOME for frozen mode
  * Fixed build defines Added patch for building on frozen API

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 20 Feb 2007 11:29:54 +0200

libgtkmozembed (0.8.0-1) unstable; urgency=low

  * Branch GtkMozEmbed sources fully moved to libgtkmozembed source package

 -- Oleg Romashin <oleg.romashin@nokia.com>  Sun, 18 Feb 2007 19:27:47 +0200

libgtkmozembed (0.1.1-2) unstable; urgency=low

  * Fixed symlink 

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 14 Nov 2006 12:03:53 +0200

libgtkmozembed (0.1.1-1) unstable; urgency=low

  * Initial release.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 17 Oct 2006 14:43:54 +0300
